import request from '@/utils/request'


export default {

    // 分页条件查询分类列表 
    getList(query, pageNo = 1, pageSize = 20) {
        return request({ // Promise

            url: `/plan/getPlanList`,
            method: 'post',
            data: {
                ...query, //查询条件
                pageNo, //当前页
                pageSize //每页多少条
            }
        })
    },

    //新增
    add(data) {
        return request({
            url: '/plan/appendPlan',
            method: 'post',
            data: data
        })
    },

    // 更新
    update(data) {
        return request({
            url: '/route/updateRoute',
            method: 'post',
            data: data
        })
    },


    deleteById(data) {

        return request({
            url: `/route/deleteRoute`,
            method: 'post',
            data: data


        })
    }


}